## Package org.irisa.genouest.logol

Interface Summary
Constraint

Class Summary
Constants: Constants use in classes for Grammar analysis
Entity: Entity class in charge or managing operators between variable entities (ANR,OR,OVERLAP).
Expression: Expression class is used to manage logol expression using variables and integer combinations.
HashMapCounter: Hashmap of counters.
Interval
Logol: Main class to analyse a logol grammar and map it in prolog.
LogolVariable
Model
Modifier
SequenceAnalyser
StringConstraint
StructConstraint
Treatment: This class generate some Prolog code based on parser result.
VariableId

Enum Summary
Logol.FILTER

Exception Summary
GrammarException: History: 26/03/09 Fix 1271 Add error email
PostponeException